#!/usr/bin/env python
# -*- coding: utf8 -*-

import sys
import os
import bisect

buckets = (
    "<1k",
    "1-2k",
    "2-5k",
    "5-10k",
    "10-50k",
    "50-100k",
    ">100k",
)
K = 1024
tams = (
    1*K,
    2*K,
    5*K,
    10*K,
    50*K,
    100*K,
)

assert len(tams) + 1 == len(buckets)

def get_bucket(size):
    return buckets[bisect.bisect(tams, size)]

def main(direct):
    resumen = {}
    for dirpath, dirnames, filenames in os.walk(direct):
        for fname in filenames:
            fullname = os.path.join(dirpath, fname)
            size = os.stat(fullname).st_size
            bucket = get_bucket(size)
            resumen[bucket] = resumen.get(bucket, 0) + 1

    for b in buckets:
        print "%-10s %6d" % (b, resumen.get(b, 0))


if __name__ == "__main__":
    if len(sys.argv) != 2:
        print u"Usar  tamaños.py <dir>"
        sys.exit()

    main(sys.argv[1])
